All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::backend::cuda::detail::cuda_deleter< U > Struct Template Reference

Functor for deleting a CUDA handle. Used within the smart pointer class. More...

`#include <cuda.hpp>`

## Public Member Functions

void | operator() (U *p) const

## Detailed Description

### template<typename U>
struct viennacl::backend::cuda::detail::cuda_deleter< U >

Functor for deleting a CUDA handle. Used within the smart pointer class.

Definition at line 86 of file cuda.hpp.

## Member Function Documentation

template<typename U >

void viennacl::backend::cuda::detail::cuda_deleter< U >::operator() | ( | U * | p | ) | const

inline

Definition at line 88 of file cuda.hpp.

The documentation for this struct was generated from the following file:

- viennacl/backend/cuda.hpp